import r from "./index-style.js";
import c from "./index-compose.js";
import { createUnaryUnit as p, getValue as a } from "./index-spacing.js";
import { handleBreakpoints as l } from "./index-breakpoints2.js";
import s from "./index-responsivePropType.js";
const u = (o) => {
  if (o.gap !== void 0 && o.gap !== null) {
    const e = p(o.theme, "spacing", 8, "gap"), n = (t) => ({
      gap: a(e, t)
    });
    return l(o, o.gap, n);
  }
  return null;
};
u.propTypes = process.env.NODE_ENV !== "production" ? {
  gap: s
} : {};
u.filterProps = ["gap"];
const i = (o) => {
  if (o.columnGap !== void 0 && o.columnGap !== null) {
    const e = p(o.theme, "spacing", 8, "columnGap"), n = (t) => ({
      columnGap: a(e, t)
    });
    return l(o, o.columnGap, n);
  }
  return null;
};
i.propTypes = process.env.NODE_ENV !== "production" ? {
  columnGap: s
} : {};
i.filterProps = ["columnGap"];
const m = (o) => {
  if (o.rowGap !== void 0 && o.rowGap !== null) {
    const e = p(o.theme, "spacing", 8, "rowGap"), n = (t) => ({
      rowGap: a(e, t)
    });
    return l(o, o.rowGap, n);
  }
  return null;
};
m.propTypes = process.env.NODE_ENV !== "production" ? {
  rowGap: s
} : {};
m.filterProps = ["rowGap"];
const g = r({
  prop: "gridColumn"
}), d = r({
  prop: "gridRow"
}), f = r({
  prop: "gridAutoFlow"
}), w = r({
  prop: "gridAutoColumns"
}), G = r({
  prop: "gridAutoRows"
}), A = r({
  prop: "gridTemplateColumns"
}), T = r({
  prop: "gridTemplateRows"
}), y = r({
  prop: "gridTemplateAreas"
}), P = r({
  prop: "gridArea"
});
c(u, i, m, g, d, f, w, G, A, T, y, P);
export {
  i as columnGap,
  u as gap,
  P as gridArea,
  w as gridAutoColumns,
  f as gridAutoFlow,
  G as gridAutoRows,
  g as gridColumn,
  d as gridRow,
  y as gridTemplateAreas,
  A as gridTemplateColumns,
  T as gridTemplateRows,
  m as rowGap
};
